WinStd Windows Win32 API using Standard C++

Loading...
Searching...
No Matches
Public Member Functions | List of all members
winstd::event_data Class Reference
Event Tracing for Windows API

EVENT_DATA_DESCRIPTOR wrapper. More...

`#include <WinStd/ETW.h>`

Inheritance diagram for winstd::event_data:

## Public Member Functions
| event_data ()
| Construct empty class.
| event_data (const char &data)
| Construct class pointing to an `char`.
| event_data (const unsigned char &data)
| Construct class pointing to an `unsigned char`.
| event_data (const int &data)
| Construct class pointing to an `int`.
| event_data (const unsigned int &data)
| Construct class pointing to an `unsigned int`.
| event_data (const long &data)
| Construct class pointing to a `long`.
| event_data (const unsigned long &data)
| Construct class pointing to an `unsigned long`.
| event_data (const GUID &data)
| Construct class pointing to a `GUID`.
| event_data (const char *data)
| Construct class pointing to a string.
| event_data (const wchar_t *data)
| Construct class pointing to a wide string.
template<class _Elem , class _Traits , class _Ax >
| event_data (const std::basic_string< _Elem, _Traits, _Ax > &data)
| Template to construct pointing to a `std::basic_string<>`.
| event_data (const void *data, ULONG size)
| Construct class pointing to binary data.

## Detailed Description

EVENT_DATA_DESCRIPTOR wrapper.

## Constructor & Destructor Documentation

## ◆ event_data() [1/11]

winstd::event_data::event_data | ( | const char & | data | ) |
| inline

Construct class pointing to an `char`.

Parameters

  [in] | data | Event data

Note
  This class saves a reference to the data only. Therefore, data must be kept available.

## ◆ event_data() [2/11]

winstd::event_data::event_data | ( | const unsigned char & | data | ) |
| inline

Construct class pointing to an `unsigned char`.

Parameters

  [in] | data | Event data

Note
  This class saves a reference to the data only. Therefore, data must be kept available.

## ◆ event_data() [3/11]

winstd::event_data::event_data | ( | const int & | data | ) |
| inline

Construct class pointing to an `int`.

Parameters

  [in] | data | Event data

Note
  This class saves a reference to the data only. Therefore, data must be kept available.

## ◆ event_data() [4/11]

winstd::event_data::event_data | ( | const unsigned int & | data | ) |
| inline

Construct class pointing to an `unsigned int`.

Parameters

  [in] | data | Event data

Note
  This class saves a reference to the data only. Therefore, data must be kept available.

## ◆ event_data() [5/11]

winstd::event_data::event_data | ( | const long & | data | ) |
| inline

Construct class pointing to a `long`.

Parameters

  [in] | data | Event data

Note
  This class saves a reference to the data only. Therefore, data must be kept available.

## ◆ event_data() [6/11]

winstd::event_data::event_data | ( | const unsigned long & | data | ) |
| inline

Construct class pointing to an `unsigned long`.

Parameters

  [in] | data | Event data

Note
  This class saves a reference to the data only. Therefore, data must be kept available.

## ◆ event_data() [7/11]

winstd::event_data::event_data | ( | const GUID & | data | ) |
| inline

Construct class pointing to a `GUID`.

Parameters

  [in] | data | Event data

Note
  This class saves a reference to the data only. Therefore, data must be kept available.

## ◆ event_data() [8/11]

winstd::event_data::event_data | ( | const char * | data | ) |
| inline

Construct class pointing to a string.

Parameters

  [in] | data | Event data. When `NULL`, the event data will be `"(null)"`.

Note
  This class saves a reference to the data only. Therefore, data must be kept available.

## ◆ event_data() [9/11]

winstd::event_data::event_data | ( | const wchar_t * | data | ) |
| inline

Construct class pointing to a wide string.

Parameters

  [in] | data | Event data. When `NULL`, the event data will be `"(null)"`.

Note
  This class saves a reference to the data only. Therefore, data must be kept available.

## ◆ event_data() [10/11]

template<class _Elem , class _Traits , class _Ax >

winstd::event_data::event_data | ( | const std::basic_string< _Elem, _Traits, _Ax > & | data | ) |
| inline

Template to construct pointing to a `std::basic_string<>`.

Parameters

  [in] | data | Event data

Note
  This class saves a reference to the data only. Therefore, data must be kept available.

## ◆ event_data() [11/11]

winstd::event_data::event_data | ( | const void * | data,
|  | ULONG | size )
| inline

Construct class pointing to binary data.

Parameters

  [in] | data | Pointer to event data
  [in] | size | Size of `data` in bytes

Note
  This class saves a reference to the data only. Therefore, data must be kept available.

The documentation for this class was generated from the following file:

- include/WinStd/ETW.h